Bug 18368 - DBversion 16.12.00.022 not set by updatedatabase.pl
Summary: DBversion 16.12.00.022 not set by updatedatabase.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Marc Véron
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 17866
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-02 16:51 UTC by Marc Véron
Modified: 2017-04-10 21:20 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18368 - DBversion 16.12.00.022 not set by updatedatabase.pl (1.32 KB, patch)
2017-04-02 17:03 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18368 - DBversion 16.12.00.022 not set by updatedatabase.pl (1.37 KB, patch)
2017-04-03 05:39 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18368 - DBversion 16.12.00.022 not set by updatedatabase.pl (1.47 KB, patch)
2017-04-03 07:11 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2017-04-02 16:51:52 UTC

    
Comment 1 Marc Véron 2017-04-02 16:55:06 UTC
Updating to 16.12.00.22 puts the upgrade process in an endless loop because DBversione is not set by updatedatabase.pl
Missing line:  SetVersion( $DBversion )
Comment 2 Marc Véron 2017-04-02 17:03:26 UTC
Created attachment 61769 [details] [review]
Bug 18368 - DBversion 16.12.00.022 not set by updatedatabase.pl

Updating to 16.12.00.22 puts the upgrade process in an endless loop because DBversione is not set by updatedatabase.pl
Missing line:  SetVersion( $DBversion )

This patch inserts the line as appropriate.

To test:
- Apply patch
- Verify code change makes sense
- Verify that upgrade smoothly runs through
Comment 3 M. Tompsett 2017-04-03 05:39:33 UTC
Created attachment 61773 [details] [review]
Bug 18368 - DBversion 16.12.00.022 not set by updatedatabase.pl

Updating to 16.12.00.22 puts the upgrade process in an endless loop because DBversione is not set by updatedatabase.pl
Missing line:  SetVersion( $DBversion )

This patch inserts the line as appropriate.

To test:
- Apply patch
- Verify code change makes sense
- Verify that upgrade smoothly runs through

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 4 Marcel de Rooy 2017-04-03 07:11:29 UTC
Created attachment 61775 [details] [review]
Bug 18368 - DBversion 16.12.00.022 not set by updatedatabase.pl

Updating to 16.12.00.22 puts the upgrade process in an endless loop because DBversione is not set by updatedatabase.pl
Missing line:  SetVersion( $DBversion )

This patch inserts the line as appropriate.

To test:
- Apply patch
- Verify code change makes sense
- Verify that upgrade smoothly runs through

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Kyle M Hall 2017-04-03 10:27:52 UTC
Pushed to master for 17.05, thanks Marc!
Comment 6 Katrin Fischer 2017-04-10 21:20:04 UTC
Please don't forget to set dependencies - they make a maintainer's job so much easier :)

This isn't relevant for 16.11.x as the depending bug 17866 is not in it.